<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RImportedDirectoryUriCatalogs StructType
 * @subpackage Structs
 */
class RImportedDirectoryUriCatalogs extends AbstractStructBase
{
    /**
     * The name
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $name;
    /**
     * The description
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $description;
    /**
     * The routeString
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $routeString;
    /**
     * The lastLoadedFileName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $lastLoadedFileName;
    /**
     * The fileLoadDateTime
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $fileLoadDateTime;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for RImportedDirectoryUriCatalogs
     * @uses RImportedDirectoryUriCatalogs::setName()
     * @uses RImportedDirectoryUriCatalogs::setDescription()
     * @uses RImportedDirectoryUriCatalogs::setRouteString()
     * @uses RImportedDirectoryUriCatalogs::setLastLoadedFileName()
     * @uses RImportedDirectoryUriCatalogs::setFileLoadDateTime()
     * @uses RImportedDirectoryUriCatalogs::setUuid()
     * @param string $name
     * @param string $description
     * @param string $routeString
     * @param string $lastLoadedFileName
     * @param string $fileLoadDateTime
     * @param string $uuid
     */
    public function __construct($name = null, $description = null, $routeString = null, $lastLoadedFileName = null, $fileLoadDateTime = null, $uuid = null)
    {
        $this
            ->setName($name)
            ->setDescription($description)
            ->setRouteString($routeString)
            ->setLastLoadedFileName($lastLoadedFileName)
            ->setFileLoadDateTime($fileLoadDateTime)
            ->setUuid($uuid);
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RImportedDirectoryUriCatalogs
     */
    public function setName($name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->description;
    }
    /**
     * Set description value
     * @param string $description
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RImportedDirectoryUriCatalogs
     */
    public function setDescription($description = null)
    {
        $this->description = $description;
        return $this;
    }
    /**
     * Get routeString value
     * @return string|null
     */
    public function getRouteString()
    {
        return $this->routeString;
    }
    /**
     * Set routeString value
     * @param string $routeString
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RImportedDirectoryUriCatalogs
     */
    public function setRouteString($routeString = null)
    {
        $this->routeString = $routeString;
        return $this;
    }
    /**
     * Get lastLoadedFileName value
     * @return string|null
     */
    public function getLastLoadedFileName()
    {
        return $this->lastLoadedFileName;
    }
    /**
     * Set lastLoadedFileName value
     * @param string $lastLoadedFileName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RImportedDirectoryUriCatalogs
     */
    public function setLastLoadedFileName($lastLoadedFileName = null)
    {
        $this->lastLoadedFileName = $lastLoadedFileName;
        return $this;
    }
    /**
     * Get fileLoadDateTime value
     * @return string|null
     */
    public function getFileLoadDateTime()
    {
        return $this->fileLoadDateTime;
    }
    /**
     * Set fileLoadDateTime value
     * @param string $fileLoadDateTime
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RImportedDirectoryUriCatalogs
     */
    public function setFileLoadDateTime($fileLoadDateTime = null)
    {
        $this->fileLoadDateTime = $fileLoadDateTime;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RImportedDirectoryUriCatalogs
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
